com.sun.jna.platform.win32

## Class WinBase.SYSTEMTIME

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinBase.SYSTEMTIME

- Enclosing interface:
    WinBase

      public static class WinBase.SYSTEMTIME
      extends Structure

  Specifies a date and time, using individual members for the month, day, year, weekday, hour, minute, second, and millisecond. The time is either in coordinated universal time (UTC) or local time, depending on the function that is being called.
  See Also:
    SYSTEMTIME structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short` | `wDay`
    `short` | `wDayOfWeek`
    `short` | `wHour`
    `short` | `wMilliseconds`
    `short` | `wMinute`
    `short` | `wMonth`
    `short` | `wSecond`
    `short` | `wYear`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WinBase.SYSTEMTIME()`
    `WinBase.SYSTEMTIME(java.util.Calendar cal)`
    `WinBase.SYSTEMTIME(java.util.Date date)`
    `WinBase.SYSTEMTIME(long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fromCalendar(java.util.Calendar cal)`
    `protected java.util.List<java.lang.String>` | `getFieldOrder()` Return this Structure's field names in their proper order.
    `java.util.Calendar` | `toCalendar()`
    `java.lang.String` | `toString()` If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### wYear

          public short wYear

    - #### wMonth

          public short wMonth

    - #### wDayOfWeek

          public short wDayOfWeek

    - #### wDay

          public short wDay

    - #### wHour

          public short wHour

    - #### wMinute

          public short wMinute

    - #### wSecond

          public short wSecond

    - #### wMilliseconds

          public short wMilliseconds

  - ### Constructor Detail

    - #### WinBase.SYSTEMTIME

          public WinBase.SYSTEMTIME()

    - #### WinBase.SYSTEMTIME

          public WinBase.SYSTEMTIME(java.util.Date date)

    - #### WinBase.SYSTEMTIME

          public WinBase.SYSTEMTIME(long timestamp)

    - #### WinBase.SYSTEMTIME

          public WinBase.SYSTEMTIME(java.util.Calendar cal)

  - ### Method Detail

    - #### fromCalendar

          public void fromCalendar(java.util.Calendar cal)

    - #### toCalendar

          public java.util.Calendar toCalendar()

    - #### getFieldOrder

          protected java.util.List<java.lang.String> getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`
      Returns:
        ordered list of field names

    - #### toString

          public java.lang.String toString()

      Description copied from class: `Structure`
      If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.
      Overrides:
        `toString` in class `Structure`
      Returns:
        String representation of this object.

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.